Subject: [netlmm] FW: Comments on draft-ietf-mext-binding-revocation-08

From: "Ahmad Muhanna" <[email-masked]>
Date: Wed, 19 Aug 2009 03:02:46 -0500

copying the lists.

Regards, 
Ahmad 
________________________________

From: Muhanna, Ahmad (RICH1:2H10) 
Sent: Wednesday, August 19, 2009 1:57 AM
To: Tina TSOU; [email-masked]
Cc: [email-masked]
Subject: RE: Comments on draft-ietf-mext-binding-revocation-08

Hello Tina,
 
Initially the NEMO case was part of the Binding Revocation presentations
that were made in, at least, two IETF meetings. However, based on
further discussion on the MEXT/Netlmm mailing lists, the wg failed to
find a use for Binding Revocation in the case of NEMO for the following
reasons:
 
1. The MNP is allocated via a mechanism other than the BU/BA signaling.
In other words, DHCP could be an option. Therefore, the argument was
made that there is no justification for the home agent to send a Binding
Revocation Indication message in order to revoke a specific MNP.
 
2. On the other hand, at any time the MR would like to revoke a specific
MNP binding to its home address, the MR can send a BU with the remaining
MNPs that still valid and the home agent will update the MR BCE
accordingly. In addition, the MR can send a de-registration to
de-register all MNPs is a single message.
 
3. In the case that BU/BA is used for allocating MNP(s) to a specific MR
with a specific HoA, then Binding Revocation makes sense, but, at the
time of discussing this issue that mechanism for MNP allocation was NOT
available or standardized.
 
I hope this addresses your concern.

Regards, 
Ahmad 

________________________________

	From: Tina TSOU [mailto:[email-masked]] 
	Sent: Tuesday, August 18, 2009 9:31 PM
	To: [email-masked]
	Cc: [email-masked]
	Subject: Comments on draft-ietf-mext-binding-revocation-08

	Hi,
	I think it is good shaped and can be moved forward except the
NEMO case. 
	 
	As the draft describes "These semantics are generic enough and
can be used by mobility entities in the case of Mobile IPv6 and its
extensions. ..."
	 
	As we know, the NEMO can be one of Mobile IPv6 extensions.
However, I don't see any note about it. Therefore, I wonder if the draft
is also applied for the NEMO case (RFC3963). 

	B. R.
	Tina
	http://tinatsou.weebly.com/contact.html